length.onion {onion} | R Documentation

## Length of an octonionic vector

### Description

Get or set the length of octonionic vectors.

### Usage

    ## S3 method for class 'onion'
    length(x)
    ## S3 replacement method for class 'onion'
    length(x) <-  value

### Arguments

`x` | An onionic vector
`value` | An integer

### Details

Operates on the columns of the matrix as expected.

In `length(x) <- value`, if `value>length(x)`, the onion is padded with `NA`s.

### Author(s)

Robin K. S. Hankin

### Examples

    a <- roct(5)
    length(a)
    length(a) <- 3
    a
    length(a) <- 10
    a

[Package onion version 1.2-7 Index]